Deactivate webhook subscription

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://docs.lumepay.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Lumepay API MCP server": {
    "url": "https://docs.lumepay.com/mcp"
  }
}

Close
POST /api/v1/webhooks/subscriptions/{subscriptionId}/deactivate

Deactivates a webhook subscription owned by the authenticated API key owner.

Headers

  • X-API-KEY string Required

    Public API key issued from the Lumepay API key management flow.

  • X-API-SECRET string Required

    API secret paired with the public API key.

Path parameters

  • subscriptionId string Required

    Webhook subscription id returned when the subscription was created.

Responses

  • 200 application/json

    Webhook subscription deactivated successfully

    Hide response attributes Show response attributes object
    • id string
    • name string
    • targetUrl string
    • status string
    • events array[object]
      Hide events attributes Show events attributes object
      • eventType string
      • resourceType string
      • event string
      • displayName string
      • description string
    • verifiedAt string(date-time)
    • createdAt string(date-time)
    • updatedAt string(date-time)
  • 400 application/json

    Request validation failed

    Hide response attributes Show response attributes object
    • code integer(int32)
    • message string
    • httpStatus integer(int32)
    • requestId string
    • timestamp string(date-time)
    • errors array[object]
      Hide errors attributes Show errors attributes object
      • field string
      • message string
  • 404 application/json

    Resource was not found for the authenticated API key owner

    Hide response attributes Show response attributes object
    • code integer(int32)
    • message string
    • httpStatus integer(int32)
    • requestId string
    • timestamp string(date-time)
    • errors array[object]
      Hide errors attributes Show errors attributes object
      • field string
      • message string
  • 403 application/json

    Authenticated API key is not allowed to perform this action

    Hide response attributes Show response attributes object
    • code integer(int32)
    • message string
    • httpStatus integer(int32)
    • requestId string
    • timestamp string(date-time)
    • errors array[object]
      Hide errors attributes Show errors attributes object
      • field string
      • message string
  • 500 application/json

    Unexpected server error

    Hide response attributes Show response attributes object
    • code integer(int32)
    • message string
    • httpStatus integer(int32)
    • requestId string
    • timestamp string(date-time)
    • errors array[object]
      Hide errors attributes Show errors attributes object
      • field string
      • message string
  • 401 application/json

    API key authentication failed

    Hide response attributes Show response attributes object
    • code integer(int32)
    • message string
    • httpStatus integer(int32)
    • requestId string
    • timestamp string(date-time)
    • errors array[object]
      Hide errors attributes Show errors attributes object
      • field string
      • message string
POST /api/v1/webhooks/subscriptions/{subscriptionId}/deactivate
curl \
 --request POST 'http://api.example.com/api/v1/webhooks/subscriptions/whsub_5e737a5abaee46568bd8d530b9b3521a/deactivate' \
 --header "X-API-KEY: string" \
 --header "X-API-SECRET: string"
Response examples (200)
{
  "id": "string",
  "name": "string",
  "targetUrl": "string",
  "status": "string",
  "events": [
    {
      "eventType": "string",
      "resourceType": "string",
      "event": "string",
      "displayName": "string",
      "description": "string"
    }
  ],
  "verifiedAt": "2026-05-04T09:42:00Z",
  "createdAt": "2026-05-04T09:42:00Z",
  "updatedAt": "2026-05-04T09:42:00Z"
}
Response examples (400)
{
  "errors": [],
  "timestamp": "2026-01-01T00:00:00Z",
  "code": 400,
  "message": "Request validation failed",
  "requestId": "req_01HY0000000000000000000000",
  "httpStatus": 400
}
Response examples (404)
{
  "errors": [],
  "timestamp": "2026-01-01T00:00:00Z",
  "code": 404,
  "message": "Resource was not found for the authenticated API key owner",
  "requestId": "req_01HY0000000000000000000000",
  "httpStatus": 404
}
Response examples (403)
{
  "errors": [],
  "timestamp": "2026-01-01T00:00:00Z",
  "code": 403,
  "message": "Authenticated API key is not allowed to perform this action",
  "requestId": "req_01HY0000000000000000000000",
  "httpStatus": 403
}
Response examples (500)
{
  "errors": [],
  "timestamp": "2026-01-01T00:00:00Z",
  "code": 500,
  "message": "Unexpected server error",
  "requestId": "req_01HY0000000000000000000000",
  "httpStatus": 500
}
Response examples (401)
{
  "errors": [],
  "timestamp": "2026-01-01T00:00:00Z",
  "code": 401,
  "message": "API key authentication failed",
  "requestId": "req_01HY0000000000000000000000",
  "httpStatus": 401
}